DROP TEXT SEARCH CONFIGURATION(7)

NAME
DROP TEXT SEARCH CONFIGURATION - remove a text search configuration

SYNOPSIS

DROP TEXT SEARCH CONFIGURATION [ IF EXISTS ] name [ CASCADE | RESTRICT ]

DESCRIPTION

DROP TEXT SEARCH CONFIGURATION drops an existing text search configuration. To execute this command you must be the owner of the configuration.

PARAMETERS

IF EXISTS
    Do not throw an error if the text search configuration does not exist. A notice is issued in this case.

name
    The name (optionally schema-qualified) of an existing text search configuration.

CASCADE
    Automatically drop objects that depend on the text search configuration.

RESTRICT
    Refuse to drop the text search configuration if any objects depend on it. This is the default.

EXAMPLES

Remove the text search configuration my_english:

DROP TEXT SEARCH CONFIGURATION my_english;

This command will not succeed if there are any existing indexes that reference the configuration in to_tsvector calls. Add CASCADE to drop such indexes along with the text search configuration.

COMPATIBILITY

There is no DROP TEXT SEARCH CONFIGURATION statement in the SQL standard.

SEE ALSO
ALTER TEXT SEARCH CONFIGURATION [alter_text_search_configuration(7)], CREATE TEXT SEARCH CONFIGURATION [create_text_search_configuration(7)]